<?php
/**
 * This is NOT a freeware, use is subject to license terms
 * From www.1314study.com
 */

if(!defined('IN_DISCUZ')) {
    exit('Access Denied');
}
class plugin_study_seo_sitemap {
	function global_footerlink(){
		global $_G;
		$return = '';
		$splugin_setting = $_G['cache']['plugin']['study_seo_sitemap'];
		$splugin_lang = lang('plugin/study_seo_sitemap');
		if($splugin_setting['show_url_radio']){
			if($splugin_setting['rewrite_radio']){
				$return = '<span class="pipe">|</span><a href="sitemap.php" >'.$splugin_lang['slang_003'].'</a>';
			}else{
				$return = '<span class="pipe">|</span><a href="plugin.php?id=study_seo_sitemap" >'.$splugin_lang['slang_003'].'</a>';
			}
		}
		if(CURSCRIPT == 'plugin'){
			list($identifier, $module) = explode(':', $_GET['id']);
			if($identifier == 'study_seo_sitemap'){
				//show copyright
				if($splugin_setting['copyright_radio'] && !$_G['uid']){
					$return .= $splugin_lang['copyright'];
				}
			}
		}
    return $return;
	}
}
?>